automake-commit
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

[Automake-commit] [SCM] GNU Automake branch, test-protocols, updated. v1


From: Stefano Lattarini
Subject: [Automake-commit] [SCM] GNU Automake branch, test-protocols, updated. v1.11-1220-ge6091c2
Date: Tue, 11 Oct 2011 11:45:44 +0000

This is an automated email from the git hooks/post-receive script. It was
generated because a ref change was pushed to the repository containing
the project "GNU Automake".

http://git.sv.gnu.org/gitweb/?p=automake.git;a=commitdiff;h=e6091c2d48557906582cd06eadf8ad08775e6392

The branch, test-protocols has been updated
       via  e6091c2d48557906582cd06eadf8ad08775e6392 (commit)
       via  5b5758acab98fdc4ed99a07cfb3611bf4d26c4bc (commit)
      from  a3d1cdbc30755257b4a0f001c4cc8e6acaba72d1 (commit)

Those revisions listed above that are new to this repository have
not appeared on any other notification email; so we list those
revisions in full, below.

- Log -----------------------------------------------------------------
commit e6091c2d48557906582cd06eadf8ad08775e6392
Author: Stefano Lattarini <address@hidden>
Date:   Tue Oct 11 13:42:09 2011 +0200

    coverage: conditional contents in LOG_DRIVER variables
    
    * tests/test-driver-cond.test: New test.
    * tests/Makefile.am (TESTS): Add it.

commit 5b5758acab98fdc4ed99a07cfb3611bf4d26c4bc
Author: Stefano Lattarini <address@hidden>
Date:   Tue Oct 11 13:37:17 2011 +0200

    coverage: LOG_DRIVER variables can be defined through AC_SUBST
    
    * tests/test-driver-acsubst.test: New test.
    * tests/Makefile.am (TESTS): Add it.

-----------------------------------------------------------------------

Summary of changes:
 ChangeLog                      |   12 ++++
 tests/Makefile.am              |    2 +
 tests/Makefile.in              |    2 +
 tests/test-driver-acsubst.test |   89 ++++++++++++++++++++++++++++++
 tests/test-driver-cond.test    |  117 ++++++++++++++++++++++++++++++++++++++++
 5 files changed, 222 insertions(+), 0 deletions(-)
 create mode 100755 tests/test-driver-acsubst.test
 create mode 100755 tests/test-driver-cond.test

diff --git a/ChangeLog b/ChangeLog
index b298f85..9632de5 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,3 +1,15 @@
+2011-10-11  Stefano Lattarini  <address@hidden>
+
+       coverage: conditional contents in LOG_DRIVER variables
+       * tests/test-driver-cond.test: New test.
+       * tests/Makefile.am (TESTS): Add it.
+
+2011-10-11  Stefano Lattarini  <address@hidden>
+
+       coverage: LOG_DRIVER variables can be defined through AC_SUBST
+       * tests/test-driver-acsubst.test: New test.
+       * tests/Makefile.am (TESTS): Add it.
+
 2011-10-07  Stefano Lattarini  <address@hidden>
 
        parallel-tests: warn on conditional TEST_EXTENSIONS definition
diff --git a/tests/Makefile.am b/tests/Makefile.am
index 35baf9e..b97d84a 100644
--- a/tests/Makefile.am
+++ b/tests/Makefile.am
@@ -787,6 +787,8 @@ test-driver-strip-vpath.test \
 test-driver-trs-suffix-registered.test \
 test-driver-fail.test \
 test-driver-is-distributed.test \
+test-driver-acsubst.test \
+test-driver-cond.test \
 test-harness-vpath-rewrite.test \
 test-log.test \
 test-metadata-global-log.test \
diff --git a/tests/Makefile.in b/tests/Makefile.in
index 3d7fe7c..291bf85 100644
--- a/tests/Makefile.in
+++ b/tests/Makefile.in
@@ -1050,6 +1050,8 @@ test-driver-strip-vpath.test \
 test-driver-trs-suffix-registered.test \
 test-driver-fail.test \
 test-driver-is-distributed.test \
+test-driver-acsubst.test \
+test-driver-cond.test \
 test-harness-vpath-rewrite.test \
 test-log.test \
 test-metadata-global-log.test \
diff --git a/tests/test-driver-acsubst.test b/tests/test-driver-acsubst.test
new file mode 100755
index 0000000..d5dbe38
--- /dev/null
+++ b/tests/test-driver-acsubst.test
@@ -0,0 +1,89 @@
+#! /bin/sh
+# Copyright (C) 2011 Free Software Foundation, Inc.
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2, or (at your option)
+# any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program.  If not, see <http://www.gnu.org/licenses/>.
+
+# parallel-tests:
+#  - LOG_DRIVER variables can be AC_SUBST'd
+
+parallel_tests=yes
+. ./defs || Exit 1
+
+mkdir test-drivers
+
+cp "$testsrcdir"/trivial-test-driver test-drivers/triv \
+  || fatal_ "failed to fetch auxiliary script trivial-test-driver"
+# FIXME: better support for installcheck ...
+cp "$top_testsrcdir"/lib/test-driver test-drivers/dflt \
+  || fatal_ "failed to fetch auxiliary script test-driver"
+
+cat >> configure.in <<'END'
+AC_SUBST([LOG_DRIVER],      ['${SHELL} test-drivers/triv'])
+AC_SUBST([TEST_LOG_DRIVER], ['${SHELL} test-drivers/dflt'])
+AC_SUBST([SH_LOG_DRIVER],   ['${my_drv}'])
+AC_OUTPUT
+END
+
+cat > Makefile.am <<'END'
+TEST_EXTENSIONS = .test .sh
+my_drv = $(SHELL) test-drivers/dflt
+TESTS = foo bar.test baz.sh
+XFAIL_TESTS = baz.sh
+.PHONY: check-autodefs
+check-autodefs:
+### For debugging.
+       @echo      LOG_DRIVER = $(LOG_DRIVER)
+       @echo TEST_LOG_DRIVER = $(TEST_LOG_DRIVER)
+       @echo   SH_LOG_DRIVER = $(SH_LOG_DRIVER)
+### Checks here.
+       @echo ' ' $(LOG_DRIVER)      ' ' | grep ' test-drivers/triv '
+       @echo ' ' $(TEST_LOG_DRIVER) ' ' | grep ' test-drivers/dflt '
+       @echo ' ' $(SH_LOG_DRIVER)   ' ' | grep ' test-drivers/dflt '
+END
+
+$ACLOCAL
+$AUTOMAKE
+$AUTOCONF
+
+./configure
+
+cat > foo <<'END'
+#!/bin/sh
+echo "PASS: from $0"
+exit 1 # Exit status should be ignored by the trivial-test-driver.
+END
+
+cat > bar.test <<'END'
+#!/bin/sh
+exit 77
+END
+
+cat > baz.sh <<'END'
+#!/bin/sh
+exit 1
+END
+
+chmod a+x foo bar.test baz.sh
+
+$MAKE check-autodefs
+st=0; $MAKE check >stdout || st=$?
+cat stdout
+cat test-suite.log
+cat foo.log
+cat bar.log
+cat baz.log
+test $st -eq 0 || Exit 1
+count_test_results total=3 pass=1 fail=0 skip=1 xfail=1 xpass=0 error=0
+
+:
diff --git a/tests/test-driver-cond.test b/tests/test-driver-cond.test
new file mode 100755
index 0000000..9d067c9
--- /dev/null
+++ b/tests/test-driver-cond.test
@@ -0,0 +1,117 @@
+#! /bin/sh
+# Copyright (C) 2011 Free Software Foundation, Inc.
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2, or (at your option)
+# any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program.  If not, see <http://www.gnu.org/licenses/>.
+
+# parallel-tests:
+#   - Automake can correctly hande conditionals contents for the
+#     LOG_DRIVER variables.
+
+parallel_tests=yes
+. ./defs || Exit 1
+
+cp "$testsrcdir"/trivial-test-driver . \
+  || fatal_ "failed to fetch auxiliary script trivial-test-driver"
+# FIXME: better support for installcheck ...
+cp "$top_testsrcdir"/lib/tap-driver.pl . \
+  || fatal_ "failed to fetch auxiliary script tap-driver.pl"
+
+cat >> configure.in << END
+AM_CONDITIONAL([COND1], [:])
+AM_CONDITIONAL([COND2], [false])
+AM_CONDITIONAL([COND3], [false])
+AC_SUBST([PERL], ['$PERL'])
+AC_SUBST([my_LOG_DRIVER], ['\${SHELL} \${top_srcdir}/trivial-test-driver'])
+AM_SUBST_NOTMAKE([my_LOG_DRIVER])
+AC_OUTPUT
+END
+
+$ACLOCAL
+$AUTOCONF
+
+cat > Makefile.am << 'END'
+TESTS = foo bar.test baz.sh
+EXTRA_DIST = $(TESTS) tap-driver.pl trivial-test-driver
+TEST_EXTENSIONS = .test .sh
+LOG_DRIVER =
+SH_LOG_DRIVER = $(tap_rulez)
+if COND1
+LOG_DRIVER += @my_LOG_DRIVER@
+if COND2
+tap_rulez = false
+else !COND2
+tap_rulez = $(PERL) $(srcdir)/tap-driver.pl
+endif !COND2
+endif COND1
+END
+
+cat > foo <<'END'
+#!/bin/sh
+echo "PASS: from $0"
+echo "SKIP: from $0"
+exit 1 # Exit status should be ignored by the trivial-test-driver.
+END
+
+cat > bar.test <<'END'
+#!/bin/sh
+exit 0
+END
+
+cat > baz.sh <<'END'
+#!/bin/sh
+echo 1..3
+echo 'ok 1'
+echo 'not ok 2 # TODO'
+echo 'not ok 3 # TODO'
+END
+
+chmod a+x foo bar.test baz.sh
+
+$AUTOMAKE -a
+test -f test-driver
+
+grep DRIVER Makefile.in || Exit 99 # For debugging.
+
+grep '^my_LOG_DRIVER *=' Makefile.in \
+  && fatal_ 'unexpected $(my_LOG_DRIVER) in Makefile.in'
+
+grep '^TEST_LOG_DRIVER =.*\$(SHELL).*/test-driver' Makefile.in
+
+./configure
+
+do_count ()
+{
+  count_test_results total=6 pass=3 fail=0 skip=1 xfail=2 xpass=0 error=0
+  grep '^PASS: foo, testcase 1 *$' stdout
+  grep '^SKIP: foo, testcase 2 *$' stdout
+  grep '^PASS: bar\.test *$' stdout
+  $EGREP 'PASS: baz\.sh 1( |$)' stdout
+  $EGREP 'XFAIL: baz\.sh 2( |$)' stdout
+  $EGREP 'XFAIL: baz\.sh 3( |$)' stdout
+}
+
+st=0; $MAKE check >stdout || st=$?
+cat stdout
+cat test-suite.log
+cat foo.log
+cat bar.log
+cat baz.log
+test $st -eq 0 || Exit 1
+do_count
+
+$MAKE distcheck >stdout || { cat stdout; Exit 1; }
+cat stdout
+do_count
+
+:


hooks/post-receive
-- 
GNU Automake



reply via email to

[Prev in Thread] Current Thread [Next in Thread]